org.apache.storm.scheduler.resource.strategies.scheduling

## Class ObjectResourcesSummary

- java.lang.Object
- - org.apache.storm.scheduler.resource.strategies.scheduling.ObjectResourcesSummary

-     public class ObjectResourcesSummary
      extends Object

  a class to contain individual object resources as well as cumulative stats.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectResourcesSummary(List<ObjectResourcesItem> objectResources, NormalizedResourceOffer availableResourcesOverall, NormalizedResourceOffer totalResourcesOverall, String identifier)`
    `ObjectResourcesSummary(ObjectResourcesSummary other)`
    `ObjectResourcesSummary(String identifier)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObjectResourcesItem(ObjectResourcesItem item)`
    `NormalizedResourceOffer` | `getAvailableResourcesOverall()`
    `List<ObjectResourcesItem>` | `getObjectResources()`
    `NormalizedResourceOffer` | `getTotalResourcesOverall()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectResourcesSummary

          public ObjectResourcesSummary(String identifier)

    - #### ObjectResourcesSummary

          public ObjectResourcesSummary(ObjectResourcesSummary other)

    - #### ObjectResourcesSummary

          public ObjectResourcesSummary(List<ObjectResourcesItem> objectResources,
                                        NormalizedResourceOffer availableResourcesOverall,
                                        NormalizedResourceOffer totalResourcesOverall,
                                        String identifier)

  - ### Method Detail

    - #### addObjectResourcesItem

          public void addObjectResourcesItem(ObjectResourcesItem item)

    - #### getObjectResources

          public List<ObjectResourcesItem> getObjectResources()

    - #### getAvailableResourcesOverall

          public NormalizedResourceOffer getAvailableResourcesOverall()

    - #### getTotalResourcesOverall

          public NormalizedResourceOffer getTotalResourcesOverall()

Copyright © 2021 The Apache Software Foundation. All rights reserved.